ForwardTypePayoff Class Reference

Class for forward type payoffs. More...

`#include <ql/instruments/forward.hpp>`

Inheritance diagram for ForwardTypePayoff:
[legend]

## Public Member Functions

| ForwardTypePayoff (Position::Type type, Real strike)
Position::Type | forwardType () const
Real | strike () const
Public Member Functions inherited from Payoff
virtual void | accept (AcyclicVisitor &)

## Payoff interface

Position::Type | type_
Real | strike_
std::string | name () const
std::string | description () const
Real | operator() (Real price) const

## Additional Inherited Members

Public Types inherited from Payoff
typedef Real | argument_type
typedef Real | result_type

## Detailed Description

Class for forward type payoffs.

## Member Function Documentation

## name()

std::string name | ( |  | ) | const

virtual

Warning:
  This method is used for output and comparison between payoffs. It is not meant to be used for writing switch-on-type code.

Implements Payoff.